Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class Identifier

    java.lang.Object
      org.apache.sandesha2.wsrm.Identifier

All Implemented Interfaces:
  IOMRMElement, Sandesha2Constants

public class Identifier
extends java.lang.Object
implements Sandesha2Constants, IOMRMElement

Nested Class Summary

Nested classes inherited from class org.apache.sandesha2.Sandesha2Constants
`Sandesha2Constants.Assertions, Sandesha2Constants.BeanMAPs, Sandesha2Constants.DatabaseParams, Sandesha2Constants.MessageContextProperties, Sandesha2Constants.MessageParts, Sandesha2Constants.MessageTypes, Sandesha2Constants.Properties, Sandesha2Constants.QOS, Sandesha2Constants.SOAPFaults, Sandesha2Constants.SOAPVersion, Sandesha2Constants.SPEC_2005_02, Sandesha2Constants.SPEC_2007_02, Sandesha2Constants.SPEC_VERSIONS, Sandesha2Constants.WSA, Sandesha2Constants.WSRM_COMMON`

Field Summary

Fields inherited from interface org.apache.sandesha2.Sandesha2Constants
`APPLICATION_PROCESSING_DONE, CLIENT_SLEEP_TIME, CONTEXT_MANAGER, DEFAULT_RM_NAMESPACE, DEFAULT_STORAGE_MANAGER, EXECUTIN_CHAIN_SEPERATOR, GLOBAL_IN_HANDLER_NAME, IN_HANDLER_NAME, INMEMORY_STORAGE_MANAGER, INTERNAL_SEQUENCE_PREFIX, INVOKER_SLEEP_TIME, LANG_EN, LIST_SEPERATOR, MAKE_CONNECTION_RESPONSE, MESSAGE_STORE_KEY, MESSAGE_TYPE, MODULE_CLASS_LOADER, MODULE_NAME, MSG_NO_OF_IN_MSG, ORIGINAL_TRANSPORT_OUT_DESC, OUT_HANDLER_NAME, OUT_LAST_MESSAGE, PERMANENT_STORAGE_MANAGER, POLLING_MANAGER, POST_FAILURE_MESSAGE, propertiesToCopyFromReferenceMessage, propertiesToCopyFromReferenceRequestMessage, PROPERTY_FILE, QUALIFIED_FOR_SENDING, RETRANSMITTABLE_PHASES, RM_DUPLICATE_IN_ONLY_OPERATION, RM_DUPLICATE_IN_OUT_OPERATION, RM_IN_ONLY_OPERATION, RM_IN_OUT_OPERATION, RM_OUT_IN_OPERATION, RM_OUT_ONLY_OPERATION, SANDESHA_OP_PREFIX, SANDESHA_PROPERTY_BEAN, SECURITY_MANAGER, SENDER_SLEEP_TIME, SERVICE_CONTAINS_OUT_IN_MEPS, SET_SEND_TO_TRUE, SPEC_NS_URIS, STORAGE_MANAGER_PARAMETER, TEMP_SEQUENCE_ID, TERMINATE_DELAY, TRANSPORT_WAIT_TIME, VALUE_EMPTY, VALUE_FALSE, VALUE_NONE, VALUE_TRUE`

Constructor Summary
`Identifier(java.lang.String namespaceValue)`

Method Summary
`java.lang.Object` | `fromOMElement(org.apache.axiom.om.OMElement element)`
`java.lang.String` | `getIdentifier()`
`java.lang.String` | `getNamespaceValue()`
`int` | `hashCode()`
`boolean` | `isNamespaceSupported(java.lang.String namespaceName)`
`void` | `setIndentifer(java.lang.String identifier)`
`org.apache.axiom.om.OMElement` | `toOMElement(org.apache.axiom.om.OMElement element)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Identifier

    public Identifier(java.lang.String namespaceValue)
               throws SandeshaException

Method Detail

### setIndentifer

    public void setIndentifer(java.lang.String identifier)

### getIdentifier

    public java.lang.String getIdentifier()

### getNamespaceValue

    public java.lang.String getNamespaceValue()
                                       throws org.apache.axiom.om.OMException

  Specified by:
    `getNamespaceValue` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### fromOMElement

    public java.lang.Object fromOMElement(org.apache.axiom.om.OMElement element)
                                   throws org.apache.axiom.om.OMException

  Specified by:
    `fromOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### toOMElement

    public org.apache.axiom.om.OMElement toOMElement(org.apache.axiom.om.OMElement element)
                                              throws org.apache.axiom.om.OMException

  Specified by:
    `toOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### toString

    public java.lang.String toString()

### hashCode

    public int hashCode()

### isNamespaceSupported

    public boolean isNamespaceSupported(java.lang.String namespaceName)

  Specified by:
    `isNamespaceSupported` in interface `IOMRMElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.